import { condPairs, callback } from './types';
/**
 * Takes predicate-callback tuples and invokes the first callback for which its respective predicate
 * returns a truthy value.  If all pairs return falsey values, the fallback parameter will be invoked.
 * Returns the return value of whichever callback was invoked.
 * @param pairs [[predicate | boolean, callback], [...], ...]
 * @param fallback callback
 */
declare const cond: (pairs: condPairs, fallback: callback) => any;
export default cond;
